CollectionFilterImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class CollectionFilterImpl

    java.lang.Object
      org.hibernate.internal.AbstractQueryImpl
          org.hibernate.internal.QueryImpl
              org.hibernate.internal.CollectionFilterImpl

All Implemented Interfaces:
  Query

    public class CollectionFilterImpl

extends QueryImpl

implementation of the `Query` interface for collection filters

Field Summary

Fields inherited from class org.hibernate.internal.AbstractQueryImpl
`parameterMetadata, session`

Constructor Summary
`CollectionFilterImpl(String queryString, Object collection, SessionImplementor session, ParameterMetadata parameterMetadata)`

Method Summary
`Iterator` | `iterate()` Return the query results as an `Iterator`.
`List` | `list()` Return the query results as a `List`.
`ScrollableResults` | `scroll()` Return the query results as `ScrollableResults`.
`Type[]` | `typeArray()`
`Object[]` | `valueArray()`

Methods inherited from class org.hibernate.internal.QueryImpl
`executeUpdate, getLockOptions, scroll, setLockMode, setLockOptions`

Methods inherited from class org.hibernate.internal.AbstractQueryImpl
`after, before, determineType, determineType, determineType, determineType, determineType, expandParameterLists, getCacheMode, getNamedParameterLists, getNamedParameters, getNamedParams, getParameterMetadata, getQueryParameters, getQueryString, getReturnAliases, getReturnTypes, getRowSelection, getSelection, getTypes, getValues, hasNamedParameters, isReadOnly, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBinary, setBinary, setBoolean, setBoolean, setByte, setByte, setCacheable, setCacheMode, setCacheRegion, setCalendar, setCalendar, setCalendarDate, setCalendarDate, setCharacter, setCharacter, setCollectionKey, setComment, setDate, setDate, setDouble, setDouble, setEntity, setEntity, setFetchSize, setFirstResult, setFloat, setFloat, setFlushMode, setInteger, setInteger, setLocale, setLocale, setLong, setLong, setMaxResults, setOptionalEntityName, setOptionalId, setOptionalObject, setParameter, setParameter, setParameter, setParameter, setParameterList, setParameterList, setParameterList, setParameterList, setParameters, setProperties, setProperties, setReadOnly, setResultTransformer, setSerializable, setSerializable, setShort, setShort, setString, setString, setText, setText, setTime, setTime, setTimeout, setTimestamp, setTimestamp, toString, uniqueResult, verifyParameters, verifyParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionFilterImpl

    public CollectionFilterImpl(String queryString,
                                Object collection,
                                SessionImplementor session,
                                ParameterMetadata parameterMetadata)

Method Detail

### iterate

    public Iterator iterate()
                     throws HibernateException

  Description copied from interface: `Query`
  Return the query results as an `Iterator`. If the query contains multiple results pre row, the results are returned in an instance of `Object[]`.
  Entities returned as results are initialized on demand. The first SQL query returns identifiers only.

  Specified by:
    `iterate` in interface `Query`
  Overrides:
    `iterate` in class `QueryImpl`
  Returns:
    the result iterator
  Throws:
    `HibernateException`
  See Also:
    `Query.iterate()`

### list

    public List list()
              throws HibernateException

  Description copied from interface: `Query`
  Return the query results as a `List`. If the query contains multiple results pre row, the results are returned in an instance of `Object[]`.

  Specified by:
    `list` in interface `Query`
  Overrides:
    `list` in class `QueryImpl`
  Returns:
    the result list
  Throws:
    `HibernateException`
  See Also:
    `Query.list()`

### scroll

    public ScrollableResults scroll()
                             throws HibernateException

  Description copied from interface: `Query`
  Return the query results as `ScrollableResults`. The scrollability of the returned results depends upon JDBC driver support for scrollable `ResultSet`s.

  Specified by:
    `scroll` in interface `Query`
  Overrides:
    `scroll` in class `QueryImpl`
  Returns:
    the result iterator
  Throws:
    `HibernateException`
  See Also:
    `Query.scroll()`

### typeArray

    public Type[] typeArray()

  Overrides:
    `typeArray` in class `AbstractQueryImpl`

### valueArray

    public Object[] valueArray()

  Overrides:
    `valueArray` in class `AbstractQueryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.